Export salesforce sandbox data
curl --request GET \
--url https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"server_name": "jira",
"dumped_at": "2023-11-07T05:31:56Z",
"data": {
"accounts": [
{
"name": "<string>",
"industry": "<string>",
"type": "<string>",
"phone": "<string>",
"website": "<string>",
"revenue": 1,
"employees": 1,
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"description": "<string>",
"rating": "<string>"
}
],
"contacts": [
{
"last_name": "<string>",
"first_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"mobile": "<string>",
"title": "<string>",
"department": "<string>",
"account_id": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"description": "<string>",
"source": "<string>"
}
],
"opportunities": [
{
"name": "<string>",
"stage": "<string>",
"close_date": "<string>",
"amount": 1,
"probability": 50,
"account_id": "<string>",
"type": "<string>",
"source": "<string>",
"next_step": "<string>",
"description": "<string>"
}
],
"leads": [
{
"last_name": "<string>",
"company": "<string>",
"first_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"mobile": "<string>",
"title": "<string>",
"status": "Open - Not Contacted",
"source": "<string>",
"industry": "<string>",
"rating": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"website": "<string>",
"description": "<string>",
"employees": 1,
"revenue": 1
}
],
"cases": [
{
"subject": "<string>",
"status": "New",
"priority": "Medium",
"origin": "<string>",
"type": "<string>",
"reason": "<string>",
"account_id": "<string>",
"contact_id": "<string>",
"description": "<string>",
"customer_email": "jsmith@example.com",
"customer_name": "<string>",
"customer_phone": "<string>"
}
],
"campaigns": [
{
"name": "<string>",
"type": "<string>",
"status": "Planned",
"start_date": "<string>",
"end_date": "<string>",
"expected_revenue": 1,
"budget": 1,
"actual_cost": 1,
"description": "<string>",
"active": true
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Salesforce
Export salesforce sandbox data
Export all data from the sandbox in the same format used for initialization.
GET
/
sandbox
/
salesforce
/
{sandbox_id}
/
dump
Export salesforce sandbox data
curl --request GET \
--url https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/salesforce/{sandbox_id}/dump', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"server_name": "jira",
"dumped_at": "2023-11-07T05:31:56Z",
"data": {
"accounts": [
{
"name": "<string>",
"industry": "<string>",
"type": "<string>",
"phone": "<string>",
"website": "<string>",
"revenue": 1,
"employees": 1,
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"description": "<string>",
"rating": "<string>"
}
],
"contacts": [
{
"last_name": "<string>",
"first_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"mobile": "<string>",
"title": "<string>",
"department": "<string>",
"account_id": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"description": "<string>",
"source": "<string>"
}
],
"opportunities": [
{
"name": "<string>",
"stage": "<string>",
"close_date": "<string>",
"amount": 1,
"probability": 50,
"account_id": "<string>",
"type": "<string>",
"source": "<string>",
"next_step": "<string>",
"description": "<string>"
}
],
"leads": [
{
"last_name": "<string>",
"company": "<string>",
"first_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"mobile": "<string>",
"title": "<string>",
"status": "Open - Not Contacted",
"source": "<string>",
"industry": "<string>",
"rating": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"website": "<string>",
"description": "<string>",
"employees": 1,
"revenue": 1
}
],
"cases": [
{
"subject": "<string>",
"status": "New",
"priority": "Medium",
"origin": "<string>",
"type": "<string>",
"reason": "<string>",
"account_id": "<string>",
"contact_id": "<string>",
"description": "<string>",
"customer_email": "jsmith@example.com",
"customer_name": "<string>",
"customer_phone": "<string>"
}
],
"campaigns": [
{
"name": "<string>",
"type": "<string>",
"status": "Planned",
"start_date": "<string>",
"end_date": "<string>",
"expected_revenue": 1,
"budget": 1,
"actual_cost": 1,
"description": "<string>",
"active": true
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The unique sandbox identifier
Response
Successful Response
Sandbox identifier
MCP server type
Available options:
jira, github, salesforce, hubspot, notion, airtable, linear, asana, google_sheets, google_drive, google_docs, gmail, google_calendar, google_forms, clickup, close, monday, motion, onedrive, microsoft_teams, outlook_mail, cal.com, quickbooks, moneybird, dropbox, shopify, woocommerce, outlook_calendar, resend, wordpress, mem0, supabase, slack, confluence, discord, snowflake, postgres, mongodb, youtube, googleworkspaceatlas, huggingface, mock_notion, arxiv_latex, calculator, clinicaltrialsgov, fetch, met_museum, open_library, osm, pubmed, us_weather, duckduckgo, whois, wikipedia, scholarly, howtocook, yahoo_finance, 12306, youtube_transcript, weather, twelvedata, national_parks, lara_translate, e2b, context7, alchemy, weights_and_biases, oxylabs, google_maps, brave_search, exa, serper Timestamp of dump
Dumped sandbox data in server-specific format
Show child attributes
Show child attributes
